package com.sjkj.appthreefloor_tsgz.activity.viewModel;

import androidx.databinding.ObservableField;

import com.sjkj.appthreefloor_tsgz.bean.EventBean;
import com.sjkj.base_lib.view.SingleLiveData;
import com.sjkj.base_lib.vm.BaseViewModel;

public class ResureDetailsViewModel extends BaseViewModel {

    public ObservableField<String> tag = new ObservableField<>("");
    public ObservableField<String> tagText = new ObservableField<>("");
    public ObservableField<String> id = new ObservableField<>("");
    public ObservableField<String> address = new ObservableField<>("");
    public ObservableField<String> deptNameAdm = new ObservableField<>("");
    public ObservableField<String> deptName = new ObservableField<>("");
    public ObservableField<String> phone = new ObservableField<>("");
    public ObservableField<String> contact = new ObservableField<>("");
    public ObservableField<String> name = new ObservableField<>("");
    public ObservableField<Double> longitude = new ObservableField<>(0.00);
    public ObservableField<Double> latitude = new ObservableField<>(0.00);

    public SingleLiveData<EventBean> singleLiveData = new SingleLiveData<>();

    public void getData() {
        singleLiveData.setValue(null);
    }
}
